@import '~bulma/bulma.sass';
@import '~bulma/sass/utilities/mixins';
@import '../../../themes/themify.scss';

.navbar {
  background-color: transparent;
  &-burger {
    color: #fff;
    &:hover {
      color: #fff !important;
    }
  }
  &-menu {
    &.navbar-menu--visible {
      display: block;
    }
    @include mobile {
      @include thematizer() {
        background-color: themed('primaryColor');
      }
      padding: 0;
    }
  }
  &-brand {
    & .navbar-item {
      color: #fff;
    }
  }
  &-end {
    & .navbar-item {
      color: #fff;
      padding: 0.5rem 0;
      padding-left: 0;

      margin-right: 12px;
      margin-left: 12px;
      &:hover {
        padding-bottom: calc(0.5rem - 4px);
        border-bottom: 4px solid #fff;
        background-color: transparent !important;
        color: #fff !important;
        @include mobile {
          text-decoration: underline;
          padding-bottom: 0.5rem;
          border-bottom: unset;
        }
      }
    }
    @include mobile {
      background-color: rgba(0, 0, 0, 0.05);
      height: 100vh;
    }
  }
  &-item {
    &--icon {
      display: flex;
      align-items: center;
      margin: auto;
      width: 16px;
      height: 16px;
      & span {
        display: none;
        @include mobile {
          display: block;
          padding-left: 10px;
        }
      }
    }
  }
}
